# Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#
# Author: Matt Mahon
# Modder: Stuart Collins
#
# Description:
#    Mod to half build time and resources.
#


#this function is called already in game. This gives us a hook to screw the 
#blueprint values for the units

function ModBlueprints(all_bps)
    local buildScale = 0.66
    
    #loop through the blueprints and adjust as desired.
    for id,bp in all_bps.Unit do
        if bp.Economy.BuildTime then
           bp.Economy.BuildTime = bp.Economy.BuildTime * buildScale
        end
        if bp.Economy.BuildCostEnergy then
           bp.Economy.BuildCostEnergy = bp.Economy.BuildCostEnergy * buildScale
        end  
	if bp.Economy.BuildCostMass then
           bp.Economy.BuildCostMass = bp.Economy.BuildCostMass * buildScale
        end  
    end
end
do
    local oldModBlueprints = ModBlueprints

    function ModBlueprints(all_bps)
	    oldModBlueprints(all_bps)

        local econScale = 2.0
        
        --loop through the blueprints and adjust as desired.
        for id,bp in all_bps.Unit do
            if bp.Economy.ProductionPerSecondMass then
               bp.Economy.ProductionPerSecondMass = bp.Economy.ProductionPerSecondMass * econScale
            end
            if bp.Economy.ProductionPerSecondEnergy then
               bp.Economy.ProductionPerSecondEnergy = bp.Economy.ProductionPerSecondEnergy * econScale
            end  
        end
    end

end






